Get price data for a domain
GET
https://api.vercel.com/v1/registrar/domains/{domain}/priceGet price data for a specific domain
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel();
async function run() { const result = await vercel.domainsRegistrar.getDomainPrice({ domain: "excited-dwell.org", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", });
console.log(result);}
run();Response
{ "years": "123", "purchasePrice": "123", "renewalPrice": "123", "transferPrice": "123"}Errors
{ "status": "400", "code": "bad_request", "message": "string"}400There was something wrong with the request
429TooManyRequests